// Generated by CoffeeScript 1.4.0
(function() {
  var exec, getBigMac, getMac, isMac, isWindows, macRegex;

  exec = require('child_process').exec;

  isWindows = process.platform.indexOf('win') === 0;

  macRegex = /(?:[a-z0-9]{1,2}[:\-]){5}[a-z0-9]{1,2}/i;

  getBigMac = getMac = function(next) {
    var command;
    if (isWindows) {
      command = "getmac";
      return exec(command, function(err, stdout, stderr) {
        var macAddress;
        if (err) {
          return next(err);
        }
        macAddress = stdout.match(macRegex)[0];
        return next(null, macAddress);
      });
    } else {
      command = "ifconfig";
      return exec(command, function(err, stdout, stderr) {
        var macAddress;
        if (err) {
          return next(err);
        }
        macAddress = stdout.match(macRegex)[0];
        return next(null, macAddress);
      });
    }
  };

  isMac = function(macAddress) {
    var _ref;
    return ((_ref = String(macAddress).match(macRegex)) != null ? _ref.length : void 0) === 1;
  };

  module.exports = {
    macRegex: macRegex,
    getMac: getMac,
    getBigMac: getBigMac,
    isMac: isMac
  };

}).call(this);
